Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

eZ\Publish\Core\Repository\SiteAccessAware\URLAliasService Member List

This is the complete list of members for eZ\Publish\Core\Repository\SiteAccessAware\URLAliasService, including all inherited members.

$languageResolver | eZ\Publish\Core\Repository\SiteAccessAware\URLAliasService | protected
$service | eZ\Publish\Core\Repository\SiteAccessAware\URLAliasService | protected
__construct(URLAliasServiceInterface $service, LanguageResolver $languageResolver) | eZ\Publish\Core\Repository\SiteAccessAware\URLAliasService |
createGlobalUrlAlias($resource, $path, $languageCode, $forwarding=false, $alwaysAvailable=false) | eZ\Publish\Core\Repository\SiteAccessAware\URLAliasService |
createUrlAlias(Location $location, $path, $languageCode, $forwarding=false, $alwaysAvailable=false) | eZ\Publish\Core\Repository\SiteAccessAware\URLAliasService |
deleteCorruptedUrlAliases() | eZ\Publish\Core\Repository\SiteAccessAware\URLAliasService |
listGlobalAliases($languageCode=null, $offset=0, $limit=-1) | eZ\Publish\Core\Repository\SiteAccessAware\URLAliasService |
listLocationAliases(Location $location, $custom=true, $languageCode=null, bool $showAllTranslations=null, array $prioritizedLanguages=null) | eZ\Publish\Core\Repository\SiteAccessAware\URLAliasService |
eZ::Publish::API::Repository::URLAliasService::listLocationAliases(Location $location, $custom=true, $languageCode=null) | eZ\Publish\API\Repository\URLAliasService |
load($id) | eZ\Publish\Core\Repository\SiteAccessAware\URLAliasService |
lookup($url, $languageCode=null) | eZ\Publish\Core\Repository\SiteAccessAware\URLAliasService |
refreshSystemUrlAliasesForLocation(Location $location) | eZ\Publish\Core\Repository\SiteAccessAware\URLAliasService |
removeAliases(array $aliasList) | eZ\Publish\Core\Repository\SiteAccessAware\URLAliasService |
reverseLookup(Location $location, $languageCode=null, bool $showAllTranslations=null, array $prioritizedLanguages=null) | eZ\Publish\Core\Repository\SiteAccessAware\URLAliasService |
eZ::Publish::API::Repository::URLAliasService::reverseLookup(Location $location, $languageCode=null) | eZ\Publish\API\Repository\URLAliasService |

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.